Propose better prompts from the agent's feedback
curl --request POST \
--url https://api.getoneprofile.ai/outbound-agents/{agent_id}/proposals/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"revision_request": "",
"slot_keys": [
"<string>"
]
}
'import requests
url = "https://api.getoneprofile.ai/outbound-agents/{agent_id}/proposals/"
payload = {
"revision_request": "",
"slot_keys": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({revision_request: '', slot_keys: ['<string>']})
};
fetch('https://api.getoneprofile.ai/outbound-agents/{agent_id}/proposals/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_version": 123,
"feedback_count": 123,
"feedback_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"items": [
{
"current": "<string>",
"proposed": "<string>",
"rationale": "<string>",
"slot_key": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}outbound-agents
Propose better prompts from the agent's feedback
Rewrite the agent’s prompts from what people rated and rewrote, and return the before and after for each one. Nothing is written until the proposal is accepted. Spends one of the workspace’s daily assistant turns.
POST
/
outbound-agents
/
{agent_id}
/
proposals
/
Propose better prompts from the agent's feedback
Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?